#ifdef VERTEX_SHADER
attribute vec4 Position;
attribute vec4 Color;

uniform highp mat4 ModelViewProjectionMatrix;

varying lowp vec4 _Color;

void vs_main()
{
	gl_Position = (ModelViewProjectionMatrix) * vs_skin(Position);
	
	_Color = Color;
}
#else
uniform lowp vec4 SurfaceColor;

varying lowp vec4 _Color;

void ps_main()
{
    gl_FragColor = vec4(0, 0, 0, _Color.a * SurfaceColor.a * 0.35);
}
#endif
